package com.bonus.sgzb.base.service;


import com.bonus.sgzb.base.domain.BmUnitInfo;

import java.util.List;

public interface BmUnitInfoService {
    public List<BmUnitInfo> getUnitInfoAll();

    public List<BmUnitInfo> getUnitInfo(BmUnitInfo bmUnitInfo);

    public int unitInfoAdd(BmUnitInfo bmUnitInfo);

    public void remove(Long[] unitIds);

    public int updateBmUnitInfo(BmUnitInfo bmUnitInfo);

    public int deleteUnitInfoById(Long unitId);

    String importUser(List<BmUnitInfo> bmUnitInfoList, boolean updateSupport, Long userId);
}
